import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/ryanorsinger/0e223fb35472c40d449cec4c0737008b/raw/penguins.csv';

export const useData = () => {
  const [data, setData] = useState(null);
  
  useEffect(() => {
    const row = (d) => {
			d.bill_length_mm = +d.bill_length_mm,
      d.bill_depth_mm = +d.bill_depth_mm,
      d.flipper_length_mm = +d.flipper_length_mm,
      d.body_mass_g = +d.body_mass_g
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  return data;
};